Subject: bug#7383: 24.0.50; end-of-line style on remote files

From: Michael Albinus <[email-masked]>
Date: Wed, 04 May 2011 15:04:22 +0200

Dani Moncayo <[email-masked]> writes:

> So now I wonder two things:
> 1. In what cases do we want to have text-mode ftp transfers when
> working with remote files?
>    Because, IMO TRT would be to always use binary mode, i.e., always
> work with the file
>    in its actual EOL format. I think that is what users expect, don't they?

See the code of `ange-ftp-write-region'. Binary transfer is explicitely
disabled for Emacsen on MS Windows machines, if not said otherwise by
`ange-ftp-binary-file-name-regexp':

	       (binary (or (ange-ftp-binary-file filename)
			   (and (not (memq system-type
					   '(ms-dos windows-nt)))
				(memq (ange-ftp-host-type host user)
				      '(unix dumb-unix)))))

Similar (but not identical) checks are in `ange-ftp-insert-file-contents'
and `ange-ftp-copy-file-internal'.

And there are comments about it, like "Binary file transfers between
machines of different architectures can be a risky business.".

> 2. This bug report has showed that the modeline flag corresponding to the EOL
>    format isn't always correct. So I think this should be fixed if possible,
>    and if not, this limitation should be documented at least.

Emacs can show only, what it knows. It sends a given file to the FTP
client. It cannot know, whether that external program changes EOL
conversion.

Likely, we shall add a note to section 8.3 of the "GNU Emacs FAQ for MS
Windows", see <http://www.gnu.org/software/emacs/windows/Network-access.html#Network-access>

> Thanks for your time, Michael.

Best regards, Michael.